IDshield: IAM - Task #17900

Task # 17953 (New): authzCheck(): the client-side function to do the authorization check

authz_check: add trace facility
15/02/2024 10:00 AM - Sachin Divekar

Status: New Start date: 14/05/2024
Priority: Normal Due date: 14/05/2024
Assignee: Abhishek Jayswal (Tantiv4) % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Sprint 26 Apr

Description

Add trace facility to the checking function so that trace data is generated for each entry in the caplist in the cache as it is traversed.

This data must be returned by the function.

Related issues:

Follows IDshield: IAM - Task #17901: authz_check: code to merge groupcaps int...

New 13/05/2024 13/05/2024

History

#1 - 16/02/2024 04:53 PM - Shuvam Misra
- Assignee set to Abhishek Jayswal (Tantiv4)

#2 - 16/02/2024 04:55 PM - Shuvam Misra
- Parent task set to #17953

#3 - 16/02/2024 04:58 PM - Shuvam Misra
- Target version set to Sprint 26 Apr
- Due date set to 26/04/2024

#4 - 16/02/2024 05:03 PM - Shuvam Misra

- Follows Task #17901: authz_check: code to merge groupcaps into usercaps, cache implementation added

- Start date set to 16/04/2024
- Due date changed from 26/04/2024 to 16/04/2024

#5 - 16/02/2024 05:04 PM - Shuvam Misra
- Start date deleted (16/04/2024)

#6 - 16/02/2024 05:05 PM - Shuvam Misra
- Start date set to 16/04/2024

#7 - 16/02/2024 05:05 PM - Shuvam Misra
- Start date deleted (16/04/2024)

#8 - 16/02/2024 05:09 PM - Shuvam Misra

- Description updated

#9 - 16/02/2024 05:10 PM - Shuvam Misra

- Description updated

#10 - 03/04/2024 06:29 PM - Shuvam Misra
- Start date set to 14/05/2024
- Due date changed from 16/04/2024 to 14/05/2024

26/04/2025
